public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/pipewire/
Date: Sat,  8 May 2021 18:27:54 +0000 (UTC)	[thread overview]
Message-ID: <1620498463.ba2b951973e0f5ab1e1647b8ac969d9e147cb6ae.whissi@gentoo> (raw)

commit:     ba2b951973e0f5ab1e1647b8ac969d9e147cb6ae
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat May  8 13:13:51 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat May  8 18:27:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba2b9519

media-video/pipewire: add support to replace JACK

Thanks to Niklāvs for the initial work!

Thanks-to: Niklāvs Koļesņikovs <89q1r14hd <AT> relay.firefox.com>
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 media-video/pipewire/metadata.xml         |  1 +
 media-video/pipewire/pipewire-9999.ebuild | 25 ++++++++++++++++---------
 2 files changed, 17 insertions(+), 9 deletions(-)

diff --git a/media-video/pipewire/metadata.xml b/media-video/pipewire/metadata.xml
index 954805d1590..d199e8a9255 100644
--- a/media-video/pipewire/metadata.xml
+++ b/media-video/pipewire/metadata.xml
@@ -25,6 +25,7 @@
 		<flag name="ffmpeg">Builds an unsupported SPA (file a Gentoo bug if you need this)</flag>
 		<flag name="jack">Enable SPA JACK plugin and emulation to be able to run JACK applications on top of PipeWire</flag>
 		<flag name="jack-client">Install a plugin for running PipeWire as a JACK client</flag>
+		<flag name="jack-sdk">Use PipeWire as JACK replacement</flag>
 		<flag name="ldac">LDAC over Bluetooth (primarily Sony headphones)</flag>
 		<flag name="pipewire-alsa">Replace PulseAudio's ALSA plugin with PipeWire's plugin</flag>
 		<flag name="vulkan">Uses Vulkan compute shaders to provide a CGI video source</flag>

diff --git a/media-video/pipewire/pipewire-9999.ebuild b/media-video/pipewire/pipewire-9999.ebuild
index a90b445a81d..879b3968542 100644
--- a/media-video/pipewire/pipewire-9999.ebuild
+++ b/media-video/pipewire/pipewire-9999.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="https://pipewire.org/"
 
 LICENSE="LGPL-2.1+"
 SLOT="0/0.3"
-IUSE="aac aptx bluetooth doc extra gstreamer jack-client ldac pipewire-alsa systemd test v4l"
+IUSE="aac aptx bluetooth doc extra gstreamer jack-client jack-sdk ldac pipewire-alsa systemd test v4l"
 
 # Once replacing system JACK libraries is possible, it's likely that
 # jack-client IUSE will need blocking to avoid users accidentally
@@ -30,6 +30,7 @@ IUSE="aac aptx bluetooth doc extra gstreamer jack-client ldac pipewire-alsa syst
 REQUIRED_USE="
 	aac? ( bluetooth )
 	aptx? ( bluetooth )
+	jack-sdk? ( !jack-client )
 	ldac? ( bluetooth )
 "
 
@@ -61,6 +62,10 @@ RDEPEND="
 		media-libs/gst-plugins-base:1.0
 	)
 	jack-client? ( >=media-sound/jack2-1.9.10:2[dbus] )
+	jack-sdk? (
+		!media-sound/jack-audio-connection-kit
+		!media-sound/jack2
+	)
 	pipewire-alsa? (
 		>=media-libs/alsa-lib-1.1.7
 		|| (
@@ -122,8 +127,6 @@ src_configure() {
 		-Dsystemd-system-service=disabled # Matches upstream
 		$(meson_feature systemd systemd-user-service)
 		$(meson_feature pipewire-alsa) # Allows integrating ALSA apps into PW graph
-		-Dpipewire-jack=enabled # Allows integrating JACK apps into PW graph
-		#-Dlibjack-path="" # Where to install libjack.so et al (if an absolute path is used, remember to prefix it with ${EROOT} or similar!); setting this will also break pw-jack's multilib support (but presumably that's okay as the intended use would be to replace system's libraries making the loader irrelevant)
 		-Dspa-plugins=enabled
 		-Dalsa=enabled # Allows using kernel ALSA for sound I/O (-Dmedia-session depends on this)
 		-Daudiomixer=enabled # Matches upstream
@@ -139,7 +142,9 @@ src_configure() {
 		-Dcontrol=enabled # Matches upstream
 		-Daudiotestsrc=enabled # Matches upstream
 		-Dffmpeg=disabled # Disabled by upstream and no major developments to spa/plugins/ffmpeg/ since May 2020
+		-Dpipewire-jack=enabled # Allows integrating JACK apps into PW graph
 		$(meson_feature jack-client jack) # Allows PW to act as a JACK client
+		$(usex jack-sdk "-Dlibjack-path=${EPREFIX}/usr/$(get_libdir)" '')
 		-Dsupport=enabled # Miscellaneous/common plugins, such as null sink
 		-Devl=disabled # Matches upstream
 		-Dtest=disabled # fakesink and fakesource plugins
@@ -201,12 +206,14 @@ pkg_postinst() {
 		elog
 	fi
 
-	elog "JACK emulation is incomplete and not all programs will work. PipeWire's"
-	elog "alternative libraries have been installed to a non-default location."
-	elog "To use them, put pw-jack <application> before every JACK application."
-	elog "When using pw-jack, do not run jackd/jackdbus. However, a virtual/jack"
-	elog "provider is still needed to compile the JACK applications themselves."
-	elog
+	if ! use jack-sdk; then
+		elog "JACK emulation is incomplete and not all programs will work. PipeWire's"
+		elog "alternative libraries have been installed to a non-default location."
+		elog "To use them, put pw-jack <application> before every JACK application."
+		elog "When using pw-jack, do not run jackd/jackdbus. However, a virtual/jack"
+		elog "provider is still needed to compile the JACK applications themselves."
+		elog
+	fi
 
 	if use systemd; then
 		elog "Per Gentoo policy installed systemd units must be manually enabled:"


             reply	other threads:[~2021-05-08 18:27 UTC|newest]

Thread overview: 354+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-05-08 18:27 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-08  7:09 [gentoo-commits] repo/gentoo:master commit in: media-video/pipewire/ Sam James
2024-09-28 13:57 Sam James
2024-09-28 12:40 Sam James
2024-09-28 11:34 Sam James
2024-09-19 19:35 Sam James
2024-09-18  6:36 Arthur Zamarin
2024-09-18  6:36 Arthur Zamarin
2024-09-17 20:00 Andreas Sturmlechner
2024-09-17 18:08 Sam James
2024-09-17 18:08 Sam James
2024-09-17 17:49 Sam James
2024-09-17 17:49 Sam James
2024-08-24 18:09 Sam James
2024-08-07 13:06 Sam James
2024-07-12 10:29 Sam James
2024-07-03 21:25 Eli Schwartz
2024-07-01  8:19 Sam James
2024-06-28 17:00 Sam James
2024-06-28 17:00 Sam James
2024-06-28 16:04 Sam James
2024-06-28 16:02 Sam James
2024-06-28 16:01 Sam James
2024-06-28 16:01 Sam James
2024-06-28 15:38 Sam James
2024-06-01  3:53 Sam James
2024-05-28  0:51 Sam James
2024-05-09 13:12 Sam James
2024-05-09 13:12 Sam James
2024-05-09 13:12 Sam James
2024-05-09 13:12 Sam James
2024-05-09 13:12 Sam James
2024-05-09 13:12 Sam James
2024-05-09 12:32 Sam James
2024-05-06  7:26 Sam James
2024-05-06  7:26 Sam James
2024-04-29 13:42 Sam James
2024-04-29 13:42 Sam James
2024-04-29  8:05 Arthur Zamarin
2024-04-29  8:05 Arthur Zamarin
2024-04-29  8:05 Arthur Zamarin
2024-04-15 23:08 Sam James
2024-03-14  7:42 Arthur Zamarin
2024-03-13 23:57 Sam James
2024-03-02 22:07 Sam James
2024-03-02 12:05 Arthur Zamarin
2024-03-02 12:05 Arthur Zamarin
2024-02-25  2:52 Jakov Smolić
2024-02-24 20:02 Arthur Zamarin
2024-02-02 22:46 Sam James
2024-01-31 20:35 Sam James
2024-01-24  4:57 Ionen Wolkens
2024-01-18 17:48 Sam James
2024-01-13 18:34 Sam James
2024-01-12  8:30 Arthur Zamarin
2024-01-11 12:03 Sam James
2024-01-11 10:32 Sam James
2024-01-11 10:32 Sam James
2024-01-02  8:13 Sam James
2023-12-05 19:56 Arthur Zamarin
2023-12-04 12:38 Sam James
2023-11-27 23:28 Sam James
2023-11-27 11:25 Sam James
2023-11-27 11:23 Sam James
2023-11-27  1:28 Sam James
2023-11-26 23:18 Sam James
2023-11-24  9:31 Sam James
2023-11-17 12:07 Sam James
2023-11-03 15:39 Sam James
2023-10-19 14:58 Sam James
2023-10-13  9:50 Sam James
2023-10-06 12:09 Sam James
2023-09-27  3:32 Sam James
2023-09-27  3:32 Sam James
2023-09-27  3:30 Sam James
2023-09-27  3:18 Sam James
2023-08-29 19:21 Sam James
2023-08-22 13:58 Sam James
2023-08-22 13:58 Sam James
2023-08-15  5:44 Sam James
2023-08-13 15:33 Arthur Zamarin
2023-08-13  5:26 Sam James
2023-08-13  5:18 Sam James
2023-08-13  5:18 Sam James
2023-08-13  4:58 Sam James
2023-07-28 12:02 Arthur Zamarin
2023-07-28 12:02 Arthur Zamarin
2023-07-28 12:01 Arthur Zamarin
2023-07-28  9:38 Sam James
2023-07-28  9:37 Sam James
2023-07-28  9:37 Sam James
2023-07-21 12:58 Sam James
2023-07-13  9:49 Sam James
2023-07-13  9:49 Sam James
2023-07-12 10:55 Sam James
2023-07-12  8:47 Sam James
2023-07-06 22:07 Sam James
2023-07-04  5:46 WANG Xuerui
2023-06-27 11:33 Sam James
2023-06-27  5:20 Jakov Smolić
2023-06-26 18:39 Arthur Zamarin
2023-06-26 18:39 Arthur Zamarin
2023-06-26 18:39 Arthur Zamarin
2023-06-26 18:39 Arthur Zamarin
2023-06-26 18:26 Arthur Zamarin
2023-06-26 17:19 Sam James
2023-06-26 16:47 Sam James
2023-06-14 12:31 Arthur Zamarin
2023-06-14  5:30 Sam James
2023-06-14  5:30 Sam James
2023-06-14  5:30 Sam James
2023-06-14  5:24 Sam James
2023-06-10 17:05 Sam James
2023-06-10 17:05 Sam James
2023-06-10 17:03 Sam James
2023-06-07  9:52 Sam James
2023-05-29 13:11 Andreas Sturmlechner
2023-05-17 13:00 Sam James
2023-05-16 19:29 Jakov Smolić
2023-05-15  4:10 Sam James
2023-05-14 17:22 Arthur Zamarin
2023-05-14  1:21 Sam James
2023-05-14  1:21 Sam James
2023-05-13 22:52 Sam James
2023-04-13 19:27 Sam James
2023-04-13 19:14 Sam James
2023-04-13 19:07 Sam James
2023-04-07 11:12 Sam James
2023-03-31  9:28 Jakov Smolić
2023-03-30 19:53 Sam James
2023-03-30 17:31 Arthur Zamarin
2023-03-29 21:35 Sam James
2023-03-29 14:36 Sam James
2023-03-29 14:33 Sam James
2023-03-29 14:33 Sam James
2023-03-16  0:44 Maciej Mrozowski
2023-03-15  6:48 Sam James
2023-03-15  2:07 Sam James
2023-03-15  2:05 Sam James
2023-03-15  2:05 Sam James
2023-03-15  2:05 Sam James
2023-03-15  2:05 Sam James
2023-03-10  6:21 Sam James
2023-03-09 23:46 Sam James
2023-02-28 19:09 Sam James
2023-02-23 20:59 Arthur Zamarin
2023-02-23 20:59 Arthur Zamarin
2023-02-23 20:45 Arthur Zamarin
2023-02-23 13:41 Sam James
2023-02-23 13:41 Sam James
2023-02-23 13:23 Sam James
2023-02-22 22:55 Sam James
2023-02-04  9:45 Sam James
2023-01-28  5:57 Sam James
2023-01-27  6:09 Sam James
2023-01-27  5:42 Sam James
2023-01-26  1:34 Sam James
2023-01-26  0:28 Sam James
2023-01-13 12:37 Arthur Zamarin
2023-01-13  4:40 Sam James
2023-01-07  8:12 Sam James
2023-01-03  6:23 Sam James
2023-01-01 22:47 Sam James
2023-01-01 22:47 Sam James
2023-01-01 22:47 Sam James
2023-01-01 22:47 Sam James
2022-12-10 17:38 Sam James
2022-12-10  8:50 Arthur Zamarin
2022-12-10  8:50 Arthur Zamarin
2022-12-10  8:50 Arthur Zamarin
2022-12-10  4:51 Sam James
2022-12-10  4:51 Sam James
2022-12-09 22:13 Sam James
2022-11-25  4:43 Sam James
2022-11-24  9:50 Sam James
2022-11-24  9:50 Sam James
2022-11-11  4:25 Sam James
2022-10-29 21:32 Sam James
2022-10-29 12:42 Arthur Zamarin
2022-10-29 10:34 Jakov Smolić
2022-10-29 10:34 Jakov Smolić
2022-10-29  5:45 Arthur Zamarin
2022-10-29  5:45 Arthur Zamarin
2022-10-28 20:53 Sam James
2022-10-28 20:09 Sam James
2022-10-28 19:56 Sam James
2022-10-28 19:53 Sam James
2022-10-01  2:07 Sam James
2022-10-01  2:07 Sam James
2022-09-15 22:16 Sam James
2022-09-02 21:45 Sam James
2022-08-08  6:08 Sam James
2022-07-31  3:29 Sam James
2022-07-31  3:29 Sam James
2022-07-31  3:29 Sam James
2022-07-31  3:29 Sam James
2022-07-29  3:18 Sam James
2022-07-29  1:56 Sam James
2022-07-29  1:53 Sam James
2022-07-17  8:26 Andreas Sturmlechner
2022-07-12 10:44 Sam James
2022-07-06  6:17 Sam James
2022-07-06  3:47 Sam James
2022-07-06  3:47 Sam James
2022-07-04 23:52 Sam James
2022-07-04 23:36 Sam James
2022-07-04 23:19 Sam James
2022-07-04 23:19 Sam James
2022-07-04 23:19 Sam James
2022-07-04 21:40 Sam James
2022-07-04 21:40 Sam James
2022-07-04 21:40 Sam James
2022-07-01  4:36 Sam James
2022-06-21 18:35 Arthur Zamarin
2022-06-16 23:05 Jakov Smolić
2022-06-16 23:05 Jakov Smolić
2022-06-16  6:11 Agostino Sarubbo
2022-06-16  6:08 Agostino Sarubbo
2022-06-15 22:07 Sam James
2022-06-15 21:56 Sam James
2022-05-13 20:04 Sam James
2022-04-29 10:01 Sam James
2022-04-29  6:42 Sam James
2022-04-29  6:02 Sam James
2022-04-29  5:38 Sam James
2022-04-28 16:08 Sam James
2022-04-28 16:06 Sam James
2022-04-25 19:43 Arthur Zamarin
2022-04-24 17:47 Arthur Zamarin
2022-04-24  6:34 Agostino Sarubbo
2022-04-20  6:41 Jakov Smolić
2022-04-15  5:35 Sam James
2022-04-14  6:55 Sam James
2022-04-01  4:30 Sam James
2022-03-05 22:02 John Helmert III
2022-03-03 15:23 Sam James
2022-02-18 18:34 Sam James
2022-02-18 18:34 Sam James
2022-02-12  5:17 Sam James
2022-02-06  2:22 Sam James
2022-02-05 23:47 Sam James
2022-01-27 21:57 Sam James
2022-01-27 21:53 Sam James
2022-01-27 19:30 Sam James
2022-01-15 22:06 Sam James
2022-01-09  9:17 Sam James
2022-01-06 21:56 Sam James
2022-01-06 21:37 Sam James
2022-01-06 20:54 Sam James
2021-12-18  6:18 Sam James
2021-12-18  6:17 Georgy Yakovlev
2021-12-18  6:14 Georgy Yakovlev
2021-12-18  4:49 Sam James
2021-12-18  4:49 Sam James
2021-12-16 22:24 Sam James
2021-12-13 22:41 Sam James
2021-11-17  6:59 Joonas Niilola
2021-11-15  1:12 Sam James
2021-11-14 19:53 Andreas Sturmlechner
2021-11-14  7:02 Georgy Yakovlev
2021-11-14  7:02 Georgy Yakovlev
2021-11-11 23:05 Sam James
2021-10-27  7:06 Sam James
2021-10-27  6:43 Sam James
2021-10-24  4:32 Sam James
2021-10-24  1:58 Sam James
2021-10-24  1:58 Sam James
2021-10-12  0:10 Sam James
2021-10-10 20:38 Sam James
2021-09-27 14:51 Agostino Sarubbo
2021-09-27  8:26 Agostino Sarubbo
2021-09-27  8:26 Agostino Sarubbo
2021-09-23 23:04 Sam James
     [not found] <1632438142.ff521b5b8ddc11fe0fe516cf3764f1b93592ad2f.sam@gentoo>
2021-09-23 23:04 ` Sam James
2021-09-23 22:45 Sam James
2021-09-23 14:10 Mart Raudsepp
2021-09-20  2:39 Sam James
2021-09-20  2:39 Sam James
2021-09-16 21:51 Sam James
2021-09-15  9:36 Yixun Lan
2021-09-15  2:32 Sam James
2021-09-14  6:24 Sam James
2021-09-14  6:20 Sam James
2021-09-12 20:59 Sam James
2021-08-30 16:03 Thomas Deutschmann
2021-08-27 13:16 Thomas Deutschmann
2021-08-27 10:50 Lars Wendler
2021-08-27 10:50 Lars Wendler
2021-07-23 23:10 Thomas Deutschmann
2021-07-17 21:30 David Seifert
2021-07-11 20:48 Sam James
2021-07-11  2:31 Sam James
2021-07-10 15:40 Sam James
2021-07-06 15:56 Thomas Deutschmann
2021-07-06 15:56 Thomas Deutschmann
2021-07-06 15:56 Thomas Deutschmann
2021-06-12 20:48 Lars Wendler
2021-06-11 14:51 Thomas Deutschmann
2021-06-11 12:47 Thomas Deutschmann
2021-06-09  8:33 Lars Wendler
2021-06-04  1:14 Matt Turner
2021-05-21  2:12 Thomas Deutschmann
2021-05-09 14:03 Thomas Deutschmann
2021-05-08 18:27 Thomas Deutschmann
2021-05-08 18:27 Thomas Deutschmann
2021-05-08 18:27 Thomas Deutschmann
2021-05-08 18:27 Thomas Deutschmann
2021-05-08 18:27 Thomas Deutschmann
2021-04-28 13:29 Thomas Deutschmann
2021-04-24 21:15 Thomas Deutschmann
2021-04-13 16:12 Matt Turner
2021-04-12 23:11 Sam James
2021-04-12 16:02 Sam James
2021-04-01 16:44 Thomas Deutschmann
2021-03-22 23:27 Thomas Deutschmann
2021-03-17 10:49 Andreas Sturmlechner
2021-03-17  9:00 Sam James
2021-03-12  8:01 Mikle Kolyada
2021-02-19 22:05 Matthew Thode
2021-02-19 21:59 Matthew Thode
2021-02-18  8:50 Sam James
2021-02-09  0:14 Thomas Deutschmann
2021-01-31 19:07 Andreas Sturmlechner
2021-01-31 18:48 Sam James
2021-01-27  3:06 Sam James
2021-01-25  2:11 Sam James
2021-01-24  0:50 Thomas Deutschmann
2020-12-24 23:42 Andreas Sturmlechner
2020-12-22 20:09 Thomas Deutschmann
2020-11-28 14:01 Thomas Deutschmann
2020-11-13 19:25 Thomas Deutschmann
2020-11-13 19:25 Thomas Deutschmann
2020-10-11 13:55 Thomas Deutschmann
2020-10-08  2:22 Sam James
2020-10-07 11:05 Agostino Sarubbo
2020-10-07 10:44 Agostino Sarubbo
2020-09-04 13:45 Andreas Sturmlechner
2020-08-25 21:51 Matthew Thode
2020-07-30  0:00 Sam James
2020-07-29 23:27 Sam James
2020-07-29 22:37 Sam James
2020-07-29 21:14 Mart Raudsepp
2020-07-27 13:54 Sam James
2020-07-26 10:05 Andreas Sturmlechner
2020-07-26  9:59 Andreas Sturmlechner
2020-07-26  9:59 Andreas Sturmlechner
2020-06-28 16:18 Andreas Sturmlechner
2020-06-28 15:36 Andreas Sturmlechner
2020-04-26  9:25 Mikle Kolyada
2019-11-01 10:55 Mikle Kolyada
2019-10-13 15:50 Andreas Sturmlechner
2019-09-16 22:40 Andreas Sturmlechner
2019-09-14  3:14 Aaron Bauman
2019-09-13  0:00 Thomas Deutschmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1620498463.ba2b951973e0f5ab1e1647b8ac969d9e147cb6ae.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox